%global pkgvers 0
%global scdate0 20240723
%global schash0 e1924eec67316897e02adb59b198b26cee38e7fb
%global branch0 master
%global source0 https://gerrit.osmocom.org/osmo-pcu.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           osmo-pcu
Version:        1.4.0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Osmocom GPRS Packet Control Unit
License:        GPLv2

URL:            https://osmocom.org/projects/osmopcu/wiki/OsmoPCU

BuildRequires:  git gcc-c++ autoconf automake libtool doxygen systemd
BuildRequires:  libosmocore-devel

%global _lto_cflags %{nil}
%undefine _hardened_build
%undefine _annotated_build

%description
C/C++-language implementation of a GPRS Packet Control Unit,
as specified by ETSI/3GPP.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%global optflags %(echo %optflags | sed 's|-Wp,-D_GLIBCXX_ASSERTIONS||g')
autoreconf -fi
%configure --enable-shared \
           --disable-static \
           --enable-manual

# Fix unused direct shlib dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags} VERBOSE=0


%install
make install DESTDIR=%{buildroot}
# Remove libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} \;


%check
make check


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc README.md
%doc %{_docdir}/%{name}
%license COPYING
%{_bindir}/*
%{_unitdir}/*
%config %{_sysconfdir}/*


%changelog
* Sun Aug 26 2018 Cristian Balint <cristian.balint@gmail.com>
- git update releases
